For the complete documentation index, see llms.txt. This page is also available as Markdown.

Document validation Data

Gets the results of the document's morphological analysis once the validation process has been successfully completed.

The response fields will depend on the configured morphology provider.

Endpoint

POST /verify/documentValidation/data

Headers

Name
Type
Required
Description

x-api-key

string

Yes

Access authorization API Key.

family

string

No

Value: Onboarding. Required with the Tracking service.

All calls to the Endpoints for Tracking with Identity Platform must contain the header family.

Request body

Content-Type: application/json

Parameters

Parameter
Type
Required
Description

scanReference

string

Yes

Reference number of the scan.

type

string

No

⚠️ Value deprecated. Will be removed in future versions.

tracking

object

No

Object representing the required tracking information.

tracking.extraData

string

No

Token generated by the SDK Mobile/Web. It contains tokenized tracking information with the Platform.

tracking.operationId

string

No

Operation identifier generated by the SDK Mobile/Web.

Request example

Responses

200 Success

Response parameters — document

Document validation details and extracted information.

Parameter
Type
Nullable
Description

dateOfBirthParts

object

Yes

Birth date parts (year, month, day).

dob

string

Yes

Date of birth in format YYYY-MM-DD.

expiry

string

Yes

Document expiration date in format YYYY-MM-DD.

expiryDateParts

object

Yes

Expiration date parts (year, month, day).

firstName

string

Yes

Document holder's first name.

lastName

string

Yes

Document holder's last name.

gender

string

Yes

Document holder's gender.

idSubtype

string

Yes

Document subtype.

issuingCountry

string

Yes

Country that issued the document.

nationality

string

Yes

Document holder's nationality.

number

string

Yes

Document number.

optionalData2

string

Yes

Additional optional data field.

status

string

No

Document verification status. Possible values: APPROVED_VERIFIED, DENIED_FRAUD, DENIED_UNSUPPORTED_ID_TYPE, DENIED_UNSUPPORTED_ID_COUNTRY, ERROR_NOT_READABLE. See Verification Results.

type

string

Yes

Document type. Possible values: PASSPORT, DRIVING_LICENSE, ID_CARD, VISA

issuingDate

string

Yes

Document issue date.

issuingDateParts

object

Yes

Issue date parts (year, month, day).

issuingPlace

string

Yes

Place where the document was issued.

issuingAuthority

string

Yes

Authority that issued the document.

Response parameters — transaction

Transaction metadata and processing information.

Parameter
Type
Description

date

string

Transaction creation date in format ISO 8601.

merchantScanReference

string

Scan reference provided by the merchant.

source

string

Transaction source.

status

string

Transaction processing status.

updatedAt

string

Timestamp of the last update in format ISO 8601.

Response parameters — verification

Verification results and additional checks performed.

Parameter
Type
Nullable
Description

additionalChecks

object

Yes

Additional verification checks performed.

mrzCheck

object

Yes

Machine Readable Zone verification results.

Verification Results

The field document.status in the Document Validation Data response indicates the verification result:

Status
Description

APPROVED_VERIFIED

Successfully verified and approved for use.

DENIED_FRAUD

The verification failed due to fraudulent content or suspected tampering.

DENIED_UNSUPPORTED_ID_TYPE

The document type is not supported by the validation system.

DENIED_UNSUPPORTED_ID_COUNTRY

The document country is not supported by the validation system.

ERROR_NOT_READABLE

Could not be processed due to poor image quality or legibility issues.

Response example

400 Bad Request

401 Unauthorized

403 Forbidden

502 Bad Gateway

504 Gateway Timeout

Last updated